org.firebirdsql.management

## Interface User

All Known Implementing Classes:
  FBUser

    public interface User

A user in the Firebird Security Database.

Author:
  Steven Jardine

### Method Summary

Methods
`java.lang.String` `getFirstName()`
`int` `getGroupId()`
`java.lang.String` `getLastName()`
`java.lang.String` `getMiddleName()`
`java.lang.String` `getPassword()` Returns the password as set by setPassword.
`int` `getUserId()`
`java.lang.String` `getUserName()`
`void` `setFirstName(java.lang.String firstName)` Optional first name of the person using this user name.
`void` `setGroupId(int groupId)` Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation
`void` `setLastName(java.lang.String lastName)` Optional last name of the person using this user name.
`void` `setMiddleName(java.lang.String middleName)` Optional middle name of the person using this user name.
`void` `setPassword(java.lang.String password)` Password for the specified user.
`void` `setUserId(int userId)` Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation
`void` `setUserName(java.lang.String username)` User name to create in security database.

### Method Detail

#### setUserName

    void setUserName(java.lang.String username)

User name to create in security database. Maximum length is 31 characters. Mandatory for all operations. Must be unique.

Parameters:
  `username` - User name

#### getUserName

    java.lang.String getUserName()

Returns:
  the username in the security database.

#### setPassword

    void setPassword(java.lang.String password)

Password for the specified user. Maximum length is 31 characters. Only first 8 characters are significant.

Parameters:
  `password` - Password

#### getPassword

    java.lang.String getPassword()

Returns the password as set by setPassword. This will return null in most cases and is only provided for add and update user functionality.

Returns:
  the password for the specified user.

#### setFirstName

    void setFirstName(java.lang.String firstName)

Optional first name of the person using this user name.

Parameters:
  `firstName` - First name

#### getFirstName

    java.lang.String getFirstName()

Returns:
  first name of the person using this user name.

#### setMiddleName

    void setMiddleName(java.lang.String middleName)

Optional middle name of the person using this user name.

Parameters:
  `middleName` - Middle name

#### getMiddleName

    java.lang.String getMiddleName()

Returns:
  middle name of the person using this user name.

#### setLastName

    void setLastName(java.lang.String lastName)

Optional last name of the person using this user name.

Parameters:
  `lastName` - Last name

#### getLastName

    java.lang.String getLastName()

Returns:
  last name of the person using this user name.

#### setUserId

    void setUserId(int userId)

Optional user ID number, defined in /etc/passwd, to assign to the user in security database; reserved for future implementation

Parameters:
  `userId` - Id of the user

#### getUserId

    int getUserId()

Returns:
  user id number.

#### setGroupId

    void setGroupId(int groupId)

Optional group ID number, defined in /etc/group, to assign to the user in security database; reserved for future implementation

Parameters:
  `groupId` - Id of the group

#### getGroupId

    int getGroupId()

Returns:
  group id number.